### Method

# Clutter Actor unmap

#### Declaration [src]

    void
    clutter_actor_unmap (
      ClutterActor* self
    )

#### Description [src]

Unsets the `CLUTTER_ACTOR_MAPPED` flag on the actor and possibly unmaps its children if they were mapped.

Calling this function is not encouraged: the default `ClutterActor` implementation of `ClutterActorClass`.unmap() will also unmap any eventual children by default when their parent is unmapped.

When overriding `ClutterActorClass`.unmap(), it is mandatory to chain up to the parent implementation.

It is important to note that the implementation of the `ClutterActorClass`.unmap() virtual function may be called after the `ClutterActorClass`.destroy() or the `GObjectClass`.dispose() implementation, but it is guaranteed to be called before the `GObjectClass`.finalize() implementation.